### Enumeration

# Qmi NasPreferenceDuration

since: 1.0

#### Declaration

    enum Qmi.NasPreferenceDuration

#### Description [src]

Duration of the preference setting.

Available since: 1.0

#### Members

`QMI_NAS_PREFERENCE_DURATION_PERMANENT`

  Permanent.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_PREFERENCE_DURATION_POWER_CYCLE`

  Until the next power cycle.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_PREFERENCE_DURATION_ONE_CALL`

  Until end of call.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_PREFERENCE_DURATION_ONE_CALL_OR_TIME`

  Until end of call or a specified time.

  - Value: `3`
  - Available since: 1.0
`QMI_NAS_PREFERENCE_DURATION_INTERNAL_ONE_CALL_1`

  Internal reason 1, one call.

  - Value: `4`
  - Available since: 1.0
`QMI_NAS_PREFERENCE_DURATION_INTERNAL_ONE_CALL_2`

  Internal reason 2, one call.

  - Value: `5`
  - Available since: 1.0
`QMI_NAS_PREFERENCE_DURATION_INTERNAL_ONE_CALL_3`

  Internal reason 3, one call.

  - Value: `6`
  - Available since: 1.0

#### Type functions

###### qmi_nas_preference_duration_get_string

Gets the nickname string for the `QmiNasPreferenceDuration` specified at `val`.

since: 1.0